# class Psych::Nodes::Node

The base class for any Node in a YAML parse tree. This class should never be instantiated.

### Attributes

children[R]

The children of this node

tag[R]

An associated tag

### Public Class Methods

new() click to toggle source

Create a new Psych::Nodes::Node

    # File lib/psych/nodes/node.rb, line 21
    def initialize
      @children = []
    end

### Public Instance Methods

each(&block) click to toggle source

Iterate over each node in the tree. Yields each node to `block` depth first.

    # File lib/psych/nodes/node.rb, line 28
    def each &block
      return enum_for :each unless block_given?
      Visitors::DepthFirst.new(block).accept self
    end

to_ruby() click to toggle source

Convert this node to Ruby.

See also Psych::Visitors::ToRuby

    # File lib/psych/nodes/node.rb, line 37
    def to_ruby
      Visitors::ToRuby.create.accept(self)
    end

Also aliased as: transform
to_yaml(io = nil, options = {})
Alias for: yaml
transform()
Alias for: to_ruby
yaml(io = nil, options = {}) click to toggle source

Convert this node to YAML.

See also Psych::Visitors::Emitter

    # File lib/psych/nodes/node.rb, line 46
    def yaml io = nil, options = {}
      real_io = io || StringIO.new(''.encode('utf-8'))

      Visitors::Emitter.new(real_io, options).accept self
      return real_io.string unless io
      io
    end

Also aliased as: to_yaml